org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryHeartbeatMessage.MetricsSet

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryHeartbeatMessage.MetricsSet

All Implemented Interfaces:
  Externalizable, Serializable

Enclosing class:
  TcpDiscoveryHeartbeatMessage

    public static class TcpDiscoveryHeartbeatMessage.MetricsSet
    extends Object
    implements Externalizable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryHeartbeatMessage.MetricsSet()`
`TcpDiscoveryHeartbeatMessage.MetricsSet(ClusterMetrics metrics)`

### Method Summary

Methods
`Collection<T2<UUID,ClusterMetrics>>` `clientMetrics()`
`ClusterMetrics` `metrics()`
`void` `readExternal(ObjectInput in)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryHeartbeatMessage.MetricsSet

    public TcpDiscoveryHeartbeatMessage.MetricsSet()

#### TcpDiscoveryHeartbeatMessage.MetricsSet

    public TcpDiscoveryHeartbeatMessage.MetricsSet(ClusterMetrics metrics)

Parameters:
  `metrics` - Metrics.

### Method Detail

#### metrics

    public ClusterMetrics metrics()

Returns:
  Deserialized metrics.

#### clientMetrics

    public Collection<T2<UUID,ClusterMetrics>> clientMetrics()

Returns:
  Client metrics.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015